Package org.codehaus.plexus.classworlds.strategy

## Class OsgiBundleStrategy

- java.lang.Object
- - org.codehaus.plexus.classworlds.strategy.AbstractStrategy
  - - org.codehaus.plexus.classworlds.strategy.OsgiBundleStrategy

All Implemented Interfaces:
  `Strategy`

    public class OsgiBundleStrategy
    extends AbstractStrategy

### Field Summary

### Fields inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`realm`

### Constructor Summary

Constructors
`OsgiBundleStrategy​(ClassRealm realm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.URL` `getResource​(java.lang.String name)`
`java.util.Enumeration<java.net.URL>` `getResources​(java.lang.String name)`
`java.lang.Class<?>` `loadClass​(java.lang.String name)`

### Methods inherited from class org.codehaus.plexus.classworlds.strategy.AbstractStrategy

`combineResources, getNormalizedResource, getRealm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OsgiBundleStrategy

    public OsgiBundleStrategy​(ClassRealm realm)

### Method Detail

#### loadClass

    public java.lang.Class<?> loadClass​(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource​(java.lang.String name)

#### getResources

    public java.util.Enumeration<java.net.URL> getResources​(java.lang.String name)
                                                     throws java.io.IOException

Throws:
  `java.io.IOException`